Isi
Indeks 🔎︎

# Fungsi Asc

Mengembalikan nilai ASCII (Kode Standar Amerika untuk Pertukaran Informasi) dari karakter pertama dalam ekspresi string.

## Sintaksis:

    Dim sText As String

## Nilai hasil:

Integer

## Parameter:

Teks: Ekspresi string apa pun yang valid. Hanya karakter pertama dalam string yang relevan.

Gunakan fungsi Asc untuk mengganti kunci dengan nilai. Jika fungsi Asc menemukan string kosong, LibreOffice Basic melaporkan galat run-time. Selain karakter ASCII 7 bit (Kode 0-127), fungsi ASCII juga dapat mendeteksi kode kunci yang tidak dapat dicetak dalam kode ASCII. Fungsi ini juga dapat menangani karakter unicode 16 bit.

## Kode kesalahan:

5 Tidak sah dalam pemanggilan prosedur

## Contoh:

    Sub ExampleASC
        Cetak ASC("A") ' menghasilkan 65
        Cetak ASC("Z") ' menghasilkan 90
        Cetak ASC("Las Vegas") ' mengembalikan 76, karena hanya karakter pertama yang diperhitungkan
    End Sub

Topik Terkait

CHR